Bug 3655 - [UPDATE REQUEST] fglrx-13.251-1
: [UPDATE REQUEST] fglrx-13.251-1
Status: RESOLVED FIXED
Product: Desktop Bugs
Classification: ROSA Desktop
Component: Main Packages
: Fresh
: All Linux
: Normal normal
: ---
Assigned To: ROSA Linux Bugs
: ROSA Linux Bugs
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2014-01-20 11:47 MSK by Aleksandr Kazantcev
Modified: 2014-01-30 11:31 MSK (History)
3 users (show)

See Also:
RPM Package: git@abf.rosalinux.ru:import/fglrx.git
ISO-related:
Bad POT generating:
Upstream:
vladimir.potapov: qa_verified+
alex.burmashev: published+


Attachments
Plymouth artefact (5.46 MB, image/jpeg)
2014-01-25 20:36 MSK, Postnikov Dmitry
Details
Stop (4.60 MB, image/jpeg)
2014-01-25 20:37 MSK, Postnikov Dmitry
Details
VT2-old-show kernel (4.27 MB, image/jpeg)
2014-01-26 13:26 MSK, Postnikov Dmitry
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Aleksandr Kazantcev 2014-01-20 11:47:12 MSK
Stable version
Comment 1 Aleksandr Kazantcev 2014-01-20 11:51:07 MSK
https://abf.rosalinux.ru/build_lists/1517889
https://abf.rosalinux.ru/build_lists/1517890

Advisory: This update provide new version of proprietary driver with some new features and bugfixes:

[384861]: Ultra slow dota2 fps
[383176]: System hang when startx after enable Eyefinity
[383109]: System hang when run Unigine Heaven 4.0
[382494]: Screen corruption when run C4Engine with GL_ARB_texture_array enabled
[384193]: Fix the procfs permission issue on kernel 3.10 and later
[373812]: System hang when run some OpenGL stress test
[383430]: Glxtest failed with force AA
[383372]: Fail to launch cairo-dock
[384509]: glClientWaitSync is waiting even when timeout is 0
[383573]: AC/DC switching is broken
[384194]: Tear-Free Desktop sets V-Sync to 30Hz instead of 60Hz
[385123]: CrossFire aspect observed in CCCLE where it should not
[385414]: Steam crashes and games hang on a black screen when Force AA is on
[387027]: Glxtest failed on SLED11 SP3
[382079]: MARI crash with weird stack
[387797]: X crash when kill X with Xserver 1.13 and 1.14
[389431]: Screens are distorted when connecting an external monitor on some PowerXpress platform with Intel Haswell
[389728]: Segfault after disabling display on re-launch of CCCLE
[387573]: Soft hang and error observed on BasicDebug sample for OpenCL when run on x86
[385704]: Black window when run glxgears with TWM
[376115]: Display corruption when using rotation

Also fglrx will build for kernel up to 3.12.
Comment 2 Postnikov Dmitry 2014-01-20 12:05:34 MSK
I have 3 days worth driver HD7770. No problem, OpenGL stress tests work. Graphics too. But there are artifacts in Plymouth.
(systemd-204, kernel-3.10.18, KDE)
Comment 3 Vladimir Potapov 2014-01-22 18:24:57 MSK
The update route to extended testing
Comment 4 Postnikov Dmitry 2014-01-25 20:20:33 MSK
**************************
Extended testing report
*************************
Tested with kernel-3.10.19+systend-208+KDE64:
1. Install is OK
2. GpuTest 0.50 - PASSED
3. 3D game Speed-Dreams - PASSED
4. Plymouth has artifacts
5. Systemctl hibernate - FAIL
6. If deinstall driver, from /ext/X11 file xorg.conf not delited automatic.
7. Systemctl hibernate with radeon diver - PASSED
Comment 5 Postnikov Dmitry 2014-01-25 20:36:35 MSK
Created attachment 2588 [details]
Plymouth artefact
Comment 6 Postnikov Dmitry 2014-01-25 20:37:21 MSK
Created attachment 2589 [details]
Stop

Stop after hibernate (with fglrx)
Comment 7 Postnikov Dmitry 2014-01-26 00:29:44 MSK
8. Don't switch VT console
9. In log messages:
Jan 26 00:08:16 mindlife-kde systemd[1]: Unit atieventsd.service entered failed state.
10. In Xorg.0.log:
[    14.449] (EE) AIGLX error: failed to open /usr/X11R6/lib64/modules/dri/fglrx_dri.so, error[/usr/X11R6/lib64/modules/dri/fglrx_dri.so: cannot open shared object file: No such file or directory]
[    14.594] ukiOpenDevice: Open failed
[    14.594] ukiOpenDevice: Open failed
[    14.594] ukiOpenDevice: Open failed
[    14.594] ukiOpenDevice: Open failed
[    14.594] ukiOpenDevice: Open failed
[    14.594] ukiOpenDevice: Open failed
[    14.594] ukiOpenDevice: Open failed
[    14.594] ukiOpenDevice: Open failed
[    14.594] ukiOpenDevice: Open failed
[    14.594] ukiOpenDevice: Open failed
[    14.594] ukiOpenDevice: Open failed
Comment 8 Postnikov Dmitry 2014-01-26 13:25:48 MSK
**************************
Extended testing report
*************************
Tested with kernel-3.10.27+systend-208+KDE64:
1. Install is OK
2. GpuTest 0.50 - PASSED
3. 3D game Speed-Dreams - PASSED
4. Plymouth first part don't show, second part show artefacts.
5. Systemctl hibernate - PASSED
6. If deinstall driver, from /ext/X11 file xorg.conf not delited automatic.
7. Switch VT console - PASSED, but in VT2 console show OLD kernel. I attached photo.
Comment 9 Postnikov Dmitry 2014-01-26 13:26:36 MSK
Created attachment 2590 [details]
VT2-old-show kernel
Comment 10 Postnikov Dmitry 2014-01-26 13:28:59 MSK
8. Service atieventd is normal after SECOND reboot.
9. In Xorg.0.log:
[    14.387] (EE) AIGLX error: failed to open /usr/X11R6/lib64/modules/dri/fglrx_dri.so, error[/usr/X11R6/lib64/modules/dri/fglrx_dri.so: cannot open shared object file: No such file or directory]
[    14.541] ukiOpenDevice: Open failed
[    14.541] ukiOpenDevice: Open failed
[    14.541] ukiOpenDevice: Open failed
Comment 11 Aleksandr Kazantcev 2014-01-26 13:32:01 MSK
xorg.conf NEVER deleted by delete proprietary package. Need use XFdrake for change driver, becouse need change not only xorg.conf.


VT show old kernel - not related to blob - this is system part

Plymouth also may be with artefacts - this is known error with fglrx and nouveau. But this error resolving may break KDM...

One error for investigate is:

error[/usr/X11R6/lib64/modules/dri/fglrx_dri.so: cannot open shared object file: No such file or directory]
[    14.594] ukiOpenDevice: Open failed
Comment 12 Postnikov Dmitry 2014-01-26 13:35:35 MSK
+ read Comment #4 - #7 with OLD kernel.
Comment 13 Vladimir Potapov 2014-01-26 14:18:40 MSK
(In reply to comment #12)
> + read Comment #4 - #7 with OLD kernel.

You have any regression?
Comment 14 Postnikov Dmitry 2014-01-26 14:46:57 MSK
(In reply to comment #13)
> (In reply to comment #12)
> > + read Comment #4 - #7 with OLD kernel.
> 
> You have any regression?

Yes
Comment 15 Vladimir Potapov 2014-01-26 15:22:04 MSK
(In reply to comment #11)
 
> One error for investigate is:
> 
> error[/usr/X11R6/lib64/modules/dri/fglrx_dri.so: cannot open shared object
> file: No such file or directory]
> [    14.594] ukiOpenDevice: Open failed
Please, open bug after investigate
**********************************
QA Denied
Comment 16 Aleksandr Kazantcev 2014-01-27 16:16:06 MSK
Some investigate:

error[/usr/X11R6/lib64/modules/dri/fglrx_dri.so: cannot open shared object file: No such file or directory]
[    14.594] ukiOpenDevice: Open failed

This is a bug in blob and if we set right way dri/egl driver did not work anymore.

In other distro situation is similar and this parts not related to properly work, becouse proprietary blob not support dri/egl like opensource driver.
Comment 17 Aleksandr Kazantcev 2014-01-27 16:16:20 MSK
https://abf.rosalinux.ru/build_lists/1517889
https://abf.rosalinux.ru/build_lists/1517890

Advisory: This update provide new version of proprietary driver with some new features and bugfixes:

[384861]: Ultra slow dota2 fps
[383176]: System hang when startx after enable Eyefinity
[383109]: System hang when run Unigine Heaven 4.0
[382494]: Screen corruption when run C4Engine with GL_ARB_texture_array enabled
[384193]: Fix the procfs permission issue on kernel 3.10 and later
[373812]: System hang when run some OpenGL stress test
[383430]: Glxtest failed with force AA
[383372]: Fail to launch cairo-dock
[384509]: glClientWaitSync is waiting even when timeout is 0
[383573]: AC/DC switching is broken
[384194]: Tear-Free Desktop sets V-Sync to 30Hz instead of 60Hz
[385123]: CrossFire aspect observed in CCCLE where it should not
[385414]: Steam crashes and games hang on a black screen when Force AA is on
[387027]: Glxtest failed on SLED11 SP3
[382079]: MARI crash with weird stack
[387797]: X crash when kill X with Xserver 1.13 and 1.14
[389431]: Screens are distorted when connecting an external monitor on some PowerXpress platform with Intel Haswell
[389728]: Segfault after disabling display on re-launch of CCCLE
[387573]: Soft hang and error observed on BasicDebug sample for OpenCL when run on x86
[385704]: Black window when run glxgears with TWM
[376115]: Display corruption when using rotation

Also fglrx will build for kernel up to 3.12.
Comment 18 Vladimir Potapov 2014-01-28 17:53:34 MSK
x11-driver-video-fglrx-13.251-1-rosa2012.1
************************** Advisory ************************
This update provide new version of proprietary driver with some new features and bugfixes
************************** Changelog ***********************
[384861]: Ultra slow dota2 fps
[383176]: System hang when startx after enable Eyefinity
[383109]: System hang when run Unigine Heaven 4.0
[382494]: Screen corruption when run C4Engine with GL_ARB_texture_array enabled
[384193]: Fix the procfs permission issue on kernel 3.10 and later
[373812]: System hang when run some OpenGL stress test
[383430]: Glxtest failed with force AA
[383372]: Fail to launch cairo-dock
[384509]: glClientWaitSync is waiting even when timeout is 0
[383573]: AC/DC switching is broken
[384194]: Tear-Free Desktop sets V-Sync to 30Hz instead of 60Hz
[385123]: CrossFire aspect observed in CCCLE where it should not
[385414]: Steam crashes and games hang on a black screen when Force AA is on
[387027]: Glxtest failed on SLED11 SP3
[382079]: MARI crash with weird stack
[387797]: X crash when kill X with Xserver 1.13 and 1.14
[389431]: Screens are distorted when connecting an external monitor on some PowerXpress platform with Intel Haswell
[389728]: Segfault after disabling display on re-launch of CCCLE
[387573]: Soft hang and error observed on BasicDebug sample for OpenCL when run on x86
[385704]: Black window when run glxgears with TWM
[376115]: Display corruption when using rotation

Also fglrx will build for kernel up to 3.12.
*****************************************************************
QA Verified